---
title: OverconstrainedError
slug: Web/API/OverconstrainedError
tags:
  - API
  - Audio
  - Interface
  - Media
  - Media Capture and Streams API
  - Media Streams API
  - OverconstrainedError
  - Reference
  - Video
---
<div>{{securecontext_header}}{{APIRef("Media Capture and Streams")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>OverconstrainedError</code></strong> interface of the <a href="/docs/Web/API/Media_Streams_API">Media Capture and Streams API</a> indicates that the set of desired capabilities for the current {{domxref('MediaStreamTrack')}} cannot currently be met. When this event is thrown on a MediaStreamTrack, it is muted until either the current constraints can be established or until satisfiable constraints are applied.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("OverconstrainedError.OverconstrainedError()")}}</dt>
 <dd>Creates a new <code>OverconstrainedError</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("OverconstrainedError.constraint")}} {{readonlyInline}}</dt>
 <dd>Returns the constraint that was supplied in the constructor, meaning the constraint that was not satisfied.</dd>
 <dt>{{domxref("OverconstrainedError.message")}} {{readonlyInline}}</dt>
 <dd>Returns the text supplied in the constructor.</dd>
 <dt>{{domxref("OverconstrainedError.name")}} {{readonlyInline}}</dt>
 <dd>Will always return <code>OverconstrainedError</code>.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Capture','#overconstrainederror-interface','OverconstrainedError')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.OverconstrainedError")}}</p>
